%define name	freewrl
%define version	1.21.2
%define release	%mkrel 1
Name:           %{name}
Summary:        A VRML/X3D viewer
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Productivity/Multimedia/Video/Players
Url:            http://freewrl.sourceforge.net/

Requires:	fonts-ttf-bitstream-vera
Requires:       sox
BuildRequires:  fontconfig-devel libmesaglut3-devel freetype2-devel java-devel libjpeg-devel libpng-devel
BuildRequires:  libmesagl1-devel libopenmotif4-devel libxorg-x11-devel zlib-devel
BuildRequires:  libxulrunner-devel wget libmagick-devel fonts-ttf-bitstream-vera
BuildRequires:  libexpat-devel
BuildRequires:  sox-devel

Source0:        %{name}-%{version}.tar.bz2
Source1:        freewrl-rpmlintrc
Patch1:         freewrl-ldconfig.patch
Patch3:         freewrl-browser-plugins.patch
Patch4:         freewrl-vrml.conf.patch
Patch5:         freewrl-fontpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FreeWRL is a VRML client with the following features:
* FreeWRL supports the VRML97 and X3D open standards 
* FreeWRL is confirmed as "Interchange Profile" conformant 
  by the Web3d Consortium
* FreeWRL runs on OSX and Linux, it runs within Web browsers, 
  or standalone
* FreeWRL is ReWire and MIDI enabled for sound-based interaction
* FreeWRL is able to interconnect to other programs using MIDI, 
  or the EAI and SAI external programming interfaces

Authors:
--------
    John Stewart 

%prep
%setup -q
%patch1
%patch3 
%patch4 
%patch5
sed -i "s|/usr/lib|%{_libdir}|g" vrml.conf 
sed -i "s|/usr/lib|%{_libdir}|g" vrml.conf.linux
sed -i "s|/usr/lib|%{_libdir}|g" Plugin/netscape/Makefile

%build
sed -i "s|.*LDFLAGS => '',|    LDFLAGS => '$LDFLAGS',|g" vrml.conf
sed -i "s|.*LDFLAGS => '',|    LDFLAGS => '$LDFLAGS',|g" vrml.conf.linux
export CFLAGS="%{optflags} -fPIC"
perl Makefile.PL 

%install
export NO_BRP_CHECK_BYTECODE_VERSION="true"
mkdir -p %{buildroot}/%{_datadir}/%{name}
%makeinstall_std
find %{buildroot}/%{_datadir} -type f -print0 | xargs -0 chmod 644
chmod 644 CHANGELOG COPYING README.html
#mkdir %{buildroot}/%{_libdir}/mozilla
#mkdir %{buildroot}/%{_libdir}/mozilla/plugins
#cd %{buildroot}/%{_libdir}/mozilla/plugins
#ln -s ../../browser-plugins/npfreewrl.so .
#ln -s ../../browser-plugins/vrml.jar .
#cd -


%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README.html 
%{_libdir}/*.so
%{_bindir}/*
#%{_libdir}/browser-plugins/*
%{_libdir}/mozilla/plugins/npfreewrl.so
%{_libdir}/mozilla/plugins/vrml.jar
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/%{name}

%changelog
* Sat Jan 3 2009 Oliver Burger <rpm@mandrivauser.de> 1.21.0-1mud2009.0
- initial package for Mandrivalinux
- SPEC based upon SuSE package by lrupp@suse.de
